% Template for ICASSP-2019 paper; to be used with:
%          spconf.sty  - ICASSP/ICIP LaTeX style file, and
%          IEEEbib.bst - IEEE bibliography style file.
% --------------------------------------------------------------------------
\documentclass{article}
\usepackage{spconf,amsmath,graphicx,amssymb,amsthm,mathtools,url}
\usepackage{tabularx}
\usepackage{tikz}
\usepackage{pgfplots}
\usepackage{booktabs}
\usepackage{multirow}
%\usepackage[caption=false,font=footnotesize]{subfig}
\usepackage{moresize}
\usepackage{subcaption}
\usepackage{algorithmic, algorithm}
\usepackage{flushend}

\graphicspath{{./FigureData/}}

\DeclareMathOperator*{\argmin}{arg\,min}

\definecolor{mycolor1}{rgb}{0.00000,0.44700,0.74100}%
\definecolor{mycolor2}{rgb}{0.85000,0.32500,0.09800}%
\definecolor{mycolor3}{rgb}{0.92900,0.69400,0.12500}%
\definecolor{mycolor4}{rgb}{0.46667,0.67451,0.18824}%
\definecolor{mycolor5}{rgb}{0.49412,0.18431,0.30588}%
\definecolor{mycolor6}{rgb}{0.30196,0.69020,0.93333}%

\renewcommand{\algorithmicrequire}{\textbf{Input:}}
\renewcommand{\algorithmicensure}{\textbf{Output:}}
\renewcommand{\algorithmiccomment}[1]{\footnotesize \textcolor{myBlue}{$\triangleright$ #1}}

% Title.
% ------
%
%SUPERVISED SPECTRAL PIXEL CLASSIFICATION FROM DATA FUSION COMPRESSIVE MEASUREMENTS USING SPATIAL INFORMATION
\title{SPECTRAL-SPATIAL CLASSIFICATION FROM MULTI-SENSOR COMPRESSIVE MEASUREMENTS USING SUPERPIXELS}
%
% Single address.
% ---------------
\name{Carlos Hinojosa, Juan Marcos Ramirez, Henry Arguello \thanks{This work was supported by the Vicerrector\'ia de Investigaci\'on y Extensi\'on of the Universidad Industrial de Santander under the Grant 8914: ``Strengthening of capacities in applied research through the evaluation, development of technological tools and/or methodologies in the areas of geology and geophysics to reduce exploratory uncertainty in the oil and gas industry". J. Ramirez was supported by the postdoctoral internship program of the Vicerrector\'ia de Investigaci\'on y Extensi\'on of the Universidad Industrial de Santander.}}
\address{High Dimensional Signal Processing (HDSP) Group \\
Universidad Industrial de Santander, Bucaramanga, Colombia}
%
% For example:
% ------------
%\address{School\\
%	Department\\
%	Address}
%
% Two addresses (uncomment and modify for two-address case).
% ----------------------------------------------------------
%\twoauthors
%  {A. Author-one, B. Author-two\sthanks{Thanks to XYZ agency for funding.}}
%	{School A-B\\
%	Department A-B\\
%	Address A-B}
%  {C. Author-three, D. Author-four\sthanks{The fourth author performed the work
%	while at ...}}
%	{School C-D\\
%	Department C-D\\
%	Address C-D}
%
\begin{document}
\ninept
%
\maketitle
%
\makeatletter
\newcommand{\sublabel}[1]{\protected@edef\@currentlabel{\thefigure(\thesubfigure)}\label{#1}}
\makeatother

\begin{abstract}
	%100 to 150 words -> se debe resumir mas
%Relying on compressive sensing, spectral image reconstruction is achieved by using nonlinear and relatively expensive optimization-based algorithms. However, signal recovery is not actually necessary in many signal processing applications. Since state-of-the-art classification methods have been recently evaluated on high spectral and spatial resolution images obtained from multi-sensor techniques, the proposed method extracts the classification features directly from multi-sensor compressive measurements. In particular, the spatial neighboring information of pixels is extracted from the multispectral CSI measures, using the superpixel technique, and it is jointly incorporated in a matrix with the features extracted from the hyperspectral CSI measures. The proposed spectral-spatial classification approach is evaluated with the Pavia University dataset. The simulations show that the incorporation of spatial information boost the classification accuracy up to $3\%$ in overall accuracy (OA). In general, an OA up to $95.47\%$ is obtained, when noisy measurements are assumed, and $98.93\%$ when using noise-free CSI measurements. In addition, performing spectral image recovery and applying the proposed method takes $49.38$ [s], while classifying directly on the CSI measurements takes only $3.52$ [s].

Compressive spectral imaging (CSI) acquires coded projections of a spectral image by performing a modulation of the data cube followed by a spectral-wise integration. To avoid the spectral image reconstruction procedure, this paper proposes a classification approach that extracts features directly from multi-sensor CSI measurements. Particularly, the proposed method obtains the features by considering the spectral information extracted from Hyperspectral CSI measurements, and the local spatial information extracted by clustering the Multispectral CSI measurements using a superpixel algorithm. This approach is evaluated on Pavia University and Salinas Valley datasets. Extensive simulations show that considering the local spatial information boosts the overall accuracy up to $3\%$ in comparison with traditional approaches that only uses the spectral information. Furthermore, the computation time of the approach that reconstructs, fuses and classifies takes approximately $87.43$ [s], while classifying directly from multi-sensor compressive measurements takes only $0.74$ [s], achieving similar classification results.
\end{abstract}
%
\begin{keywords}
compressive spectral imaging, multi-sensor measurements, spectral image classification, feature extraction, superpixel algorithms. 
\end{keywords}
%

\vspace{-0.15in}
\section{Introduction}

%depronto hablar de la fusion o utilizacion de un metodo de "clustering" como lo es SLIC para agregar informacion espacial a la clasificacion supervisada. Mostrar que esto es posible en el dominio comprimido -> ver paper compressive signal processing.

\label{sec:intro}

%In particular, as one of the major tasks of spectral image processing, classification has drawn broad attentions and has led to a variety of methods since it emerged, which aims at assigning each spectral pixel to one of a certain set of classes \cite{ghamisi2017advanced,ghamisi2017advances,fauvel2013advances}. In the literature, many of the methods have been concentrated on exploring the role of the spectral signatures in classification, employing exclusively the spectrum of a pixel to determine its class belonging. As spectral images are originally 3D and pictorial, spatial dependency, which is complementary to spectral behavior, is naturally another useful information source in addition to spectra. The introduction of spatial dependency hence offers the possibility to boost the pixel-wise classification \cite{he2018recent,tarabalka2009spectral}. Among many methods, the superpixel techinque is well known to efficiently embed the spatial neighboring information into the classification procedure. This technique is based on the oversegmentation strategy to partition an image into homogeneous subregions. Such subregions are usually spatially irregular units, but perceptually consistent, i.e., all pixels in a superpixel are most likely uniform, meaning that superpixel methods are adaptive to real scenes. Therefore, combining superpixel partitioning with conventional spectral-spatial classification approaches is expected to boost the classification performance, considering not only the spectral behavior but the variations of spatial characteristics the spectral data cubes.

%This approach allows to sense and simultaneously reduce the data dimensionality without further processing steps \cite{martin2016hyperspectral,doi:10.1137/110837486}. Therefore, the cost of sensing, storing, transmitting and processing spectral images using this method is significantly reduced. Until now, different CSI sensing methods have been proposed to compress spectral images \cite{martin2016hyperspectral,doi:10.1137/110837486,cao2016computational,arguello2014colored,correa2016multiple}. Particularly, in this work the spectral-spatial coded compressive spectral imager (3D-CASSI) is adopted. This CSI sensing scheme modulates the spectral data cube in spatial and spectral dimensions using a 3D coded aperture (ensembles of 2D coded apertures) or an array of optical filters. Then, the coded spectral data cube is integrated along the spectral dimension such that each spatial position of the acquired measurements contains the compressive information of a single coded spectral signature\cite{cao2016computational}. 

Spectral imaging senses 2D spatial information along multiple wavelengths. Traditional sensing techniques require scanning all the scene across multiple spectral bands to construct the three-dimensional (3D) data cube \cite{shaw2003spectral}. Based on the acquired spectral/spatial resolution, spectral imaging sensors can be categorized in Hyperspectral (HS) and Multispectral (MS). Typically, HS devices capture hundreds of spectral bands of the scene, however, its spatial resolution is often lower compared to that obtained with an MS sensor, which has a low spectral resolution \cite{yokoya2017hyperspectral}. In this sense, fusion techniques provide a methodological framework for finding a high spatial and spectral resolution image using the information from both HS and MS images \cite{ghamisi2017advances,yokoya2017hyperspectral}. After applying a fusion technique, the spectral signatures (a.k.a spectral pixels) are commonly used as classification features for identifying and detecting different materials within the high-resolution spectral data cube \cite{ghamisi2017advanced,ghamisi2017advances,he2018recent,Hinojosa:18,Sanchez:19}.

%Traditional classification methods assign each spectral pixel to one of a certain set of classes by employing exclusively the spectrum of a pixel \cite{ghamisi2017advanced,ghamisi2017advances,fauvel2013advances}. However, as spectral images can be seen as a set of 2D images, spatial dependency, which is complementary to spectral behavior, is naturally another useful information source in addition to spectra. Among many methods, the superpixel technique has shown to successfully embed the spatial neighboring information into the image pixels classification. The introduction of such spatial information hence offers the possibility to boost the pixel-wise classification \cite{he2018recent,tarabalka2009spectral}

%rely on the oversegmentation strategy to partition an image into homogeneous subregions efficiently embedding the spatial neighboring information into the image pixels classification

%In addition, processing such high dimensional data also requires huge computational resources and storage capacities.

%A typical procedure after the CSI measurements acquisition is signal recovery, which is achieved using nonlinear and relatively expensive optimization-based or iterative algorithms. CSI signal recovery procedure is explained in \cite{arce2014compressive}.

In general, spectral image classification is a very difficult task due to the inherent data complexity, high storage requirements and computational costs. Therefore, a preprocessing step to reduce the dimensions of the spectral imagery is often required \cite{he2016weighted,RastiHyperspectral2016}. On the other hand, compressive spectral imaging (CSI) has recently emerged as a new spectral imaging acquisition approach which captures compressive 2D measurements of the entire data cube rather than directly acquiring all the voxels, hence reducing the data dimensionality \cite{arce2014compressive,montero2015analysis,correa2016multiple,cao2016computational}. Under the context of CSI, two data fusion algorithms have been recently proposed \cite{8552442,8657365}. In particular, these methods reconstruct a high spatial and spectral resolution image from multi-sensor compressive measurements. Then, an intuitive approach of spectral image classification from multi-sensor compressive measurements would involve two tasks: the reconstruction of the fused image from the HS and MS compressive measurements, and finally, the classification procedure itself. However, this approach implies expensive computational costs and further, the classification accuracy might be degraded due to multiple factors \cite{yokoya2017hyperspectral,arce2014compressive}.

Although most of the CSI literature has focused on improving the speed and accuracy of the spectral image reconstruction \cite{arce2014compressive,arguello2014colored,garcia2018multi,diaz2019adaptive}, the image recovery stage, in general, is not actually necessary for performing many signal processing tasks \cite{davenport2010signal,li2013classification,8510893}. Indeed, the aim of this work is to extract features and perform the spectral image classification directly from multi-sensor compressive measurements without requiring to recover the whole data cube, thus, the CSI reconstruction phase is completely avoided. After acquiring the HS and MS compressive measurements, the proposed method perform a rearrangement and extrapolation procedure from CSI HS measures in order to extract the spectral features. Consecutively, the CSI MS measurements are rearranged before applying a superpixel algorithm \cite{achanta2012slic} in order to obtain the spatial features. Specifically, using this segmentation technique, the proposed method groups pixels with similar spectral characteristics within a nearby neighborhood, incorporating spatial information and hence boosting the classification performance. Finally, the HS and MS extracted features are concatenated before being evaluated in a SVM classifier with a polynomial kernel.

%The proposed method first acquires the compressive HS measurements from the CSI sensor and then perform a rearrangement and extrapolation procedure in order to extract the HS features. Similarly, the compressive MS measurements are first acquired from the CSI sensor and then are ...in a matrix and it is evaluated 

%Due to the extrapolation, this step of the proposed method incorporates spatial information in the classification features.

%The paper is organized as follows. In section \ref{sec:relatedWorks} some related works regarding the classification directly over compressive measurements are discussed. Then, the used CSI sensing scheme, the proposed feature extraction approach and the used classifier are described in section \ref{sec:method1}. Section \ref{sec:pertinence} briefly describes the pertinence of this work with computer science. Some preliminary simulations are included in section \ref{sec:results} to analyze the performance of the presented fused image spectral-spatial classification approach. Finally, discussion about the proposed method, future work and conclusions are developed in section \ref{sec:discussion} and \ref{sec:conclusions}, respectively.

\vspace{-0.15in}
\section{Proposed Methodology}
\label{sec:method1}

%\subsection{Problem Formulation}
%
%In general, denote $\boldsymbol{\mathcal{F}}$ as the spatio-spectral data cube, with $M\times N$ spatial dimensions, $L$ spectral bands and entries denoted as $\mathcal{F}_{m,n,k}$, where $m$ and $n$ index the spatial coordinates, and $k$ determines the $k$-th spectral band. The $\boldsymbol{\mathcal{F}}$ data cube can be rearranged as a matrix $\mathbf{F}\in\mathbb{R}^{L\times MN}$ whose columns are  the spectral signatures $\mathbf{f}_j$ of the data cube. Specifically, the rearrangement can be expressed as
%\begin{align}
%\mathbf{F}=\big[[ &\mathcal{F}_{0,0,0},\mathcal{F}_{1,0,0},\cdots,\mathcal{F}_{0,1,0},\cdots, \mathcal{F}_{(M-1),(N-1),0}]^T, \nonumber \\
%&\cdots,[ \mathcal{F}_{0,0,(L-1)}, \cdots,\mathcal{F}_{(M-1),(N-1),(L-1)}]^T  \big].^T
%\end{align}
%
%In this work, the classification maps of a high spatial and spectral resolution image $\mathbf{F}$ are found from data fusion compressive measurements acquired using a MS and HS images $\mathbf{F}_{\mathbf{m}} \in \mathbb{R}^{L_m\times MN}$ and $\mathbf{F}_{\mathbf{h}} \in \mathbb{R}^{L\times M_hN_h}$. Note that $\mathbf{F}_{\mathbf{m}}$ is a spectrally degraded version of $\mathbf{F}$, with $L_m=L/q$, where $q$ represents the spectral decimation factor. Similarly, $\mathbf{F}_{\mathbf{h}}$ is a blurred and spatially downsampled instance of $\mathbf{F}$, with $M_h=M/p,N_h=N/p$ and where $p$ is the downsampling factor along each spatial coordinate. Mathematically, the matrices $\mathbf{F}_{\mathbf{m}}$ and $\mathbf{F}_{\mathbf{h}}$ can be expressed as
%\begin{align}
%\mathbf{F}_{\mathbf{m}} &= \mathbf{D}_{\mathbf{m}}\mathbf{F} \label{eq:Fm}\\
%\mathbf{F}_{\mathbf{h}} &= \mathbf{F}\mathbf{D}_{\mathbf{h}},\label{eq:Fh}
%\end{align}
%where $\mathbf{D}_{\mathbf{m}}\in \mathbb{R}^{L_m\times L}$ and $\mathbf{D}_{\mathbf{h}}\in \mathbb{R}^{MN\times M_hN_h}$ are downsampling matrices. Specifically $\mathbf{D}_{\mathbf{m}}$ is the downsampling matrix that models the spectral degradation of the high spatial and spectral resolution image $\mathbf{F}$ with downsampling factor $q$. Similarly, $\mathbf{D}_{\mathbf{h}}$ is the spatial downsampling matrix that includes both the blur operation and the spatial decimation of $\mathbf{F}$ with downsampling factor $p$.


\begin{figure}[!t]
	\centering
	\begin{subfigure}[t]{\linewidth}
		\centering
		\includegraphics[width=0.9\linewidth]{3DCassi_process}
		\caption{3D-CASSI sensing procedure.}
		\sublabel{3DCASSI_sensingApp}
	\end{subfigure}
	
	\begin{subfigure}[t]{\linewidth}
		\centering
		\includegraphics[width=0.7\linewidth]{ordenamiento}
		\caption{Rearrangement of the matrix $\mathbf{\hat{Y}}$ such that the  $s$-th row of $\mathbf{Y}$ contains the compressive measurements acquired with the $s$-th coding pattern $\boldsymbol{\phi}^s$.}
		\sublabel{ordenamiento}
	\end{subfigure}
	\caption{Acquisition and rearrangement of CSI measurements. \vspace{-0.21in}}
	\label{fig:CSIAcquisition}
\end{figure}

\subsection{Compressive measurements acquisition}
\label{subsec:compressive}
%In order to acquire the compressive measurements of a spectral scene, the 3D-CASSI sensing approach is used \cite{cao2016computational}.

In this work, the 3D-CASSI sensing approach is adopted \cite{cao2016computational}. In general, denote $\boldsymbol{\mathcal{F}}$ as the spatio-spectral data cube, with $M\times N$ spatial dimensions, $L$ spectral bands and entries denoted as $\mathcal{F}_{m,n,k}$, where $m$ and $n$ index the spatial coordinates, and $k$ determines the $k$-th spectral band. As shown in Fig. \ref{fig:CSIAcquisition} (\subref{3DCASSI_sensingApp}), the 3D-CASSI sensing scheme first modulates the voxels of the spectral scene using a 3D coded aperture $\mathbf{C}^s$, whose entries are indexed as $C_{m,n,k}^s$. Then, the coded spectral scene is integrated in the focal plane array (FPA) detector, along the spectral axis. In CSI it is possible to acquire $S \ll L$ measurement shots, each one employing a different coded aperture, such that different measurements of the spectral data cube are acquired. Therefore, the output of the sensing process, at the $(m,n)$-th detector pixel and a specific snapshot $s$, can be expressed as
\begin{equation}
\hat{Y}^s_{m,n}=\sum_{k=0}^{L-1} \mathcal{F}_{m,n,k}C^s_{m,n,k}.
\label{eq:discretizedOutput}
\end{equation}
Note that for each spatial location of $\mathbf{C}^s$, it is assigned a coding pattern (optical filter) $\boldsymbol{\phi}^s\in \mathbb{R}^{L}$, with entries $(\boldsymbol{\phi}^s)_k \in \left\{ 0,1 \right\}$, that modulates a spectral pixel in that particular position before being integrated at the FPA detector. Further, observe that there is a finite number of optical filters randomly distributed in $\mathbf{C}^s$. In this work, as shown in Fig. \ref{fig:CSIAcquisition} (\subref{3DCASSI_sensingApp}), the 3D coded apertures are built with non-overlapping optical filters which cover all the spectrum.

%some pixels are encoded by different sets of coding patterns. In such case,
%At each measurement shot, the spectral pixels are encoded differently using distinct coding patterns, hence new information is acquired from the underlying data cube. Denoting $P$ as the number of different coding patterns distributed on $\mathbf{C}^s$, if the number of measurement shots $S$ is greater than $P$, then some pixels are oversampled, thus redundant information is acquired. On the other hand, if $S<P$ classification becomes hard since the similarity among two spectral pixels belonging to the same class may decrease if they are encoded (projected) differently. Finally, if $S=P$ the 3D coded aperture for each measurement shot can be optimally designed such that a particular pixel is modulated once by a different coding pattern in a particular snapshot, acquiring new information each time.

%\begin{figure}[!t]
%	\centering
%	\includegraphics[width=0.7\linewidth]{ordenamiento}
%	\caption{Rearrangement of the matrix $\mathbf{\hat{Y}}$ such that the  $s$-th row of $\mathbf{Y}$ contains the compressive measurements acquired with the $s$-th coding pattern $\boldsymbol{\phi}^s$.}
%	\label{fig:ordenamiento}
%\end{figure}

%In addition, note that if $S\ne P$ some pixels may be encoded differently (the discrimination is difficult) or oversampled (redundant information is acquired) which is inefficient for classification.

%However, column vectors of $\mathbf{\hat{Y}}$ may contain the measurement acquired with a specific coding pattern $\boldsymbol{\phi}^s$ in different rows since, in a particular snapshot, all the spectral pixels are not necessarily encoded by the same coding pattern. 

The set of compressive measurements from (\ref{eq:discretizedOutput}) can be arranged in a matrix $\mathbf{\hat{Y}}$ with dimensions $S\times (MN)$, where each column contains the compressive measurements associated to a particular spectral pixel. Note that, each row of $\mathbf{\hat{Y}}$ contains the compressive measurements acquired by the $s$-th snapshot. However, column vectors of $\mathbf{\hat{Y}}$ contain the spectral pixel measurements in unordered form since, in a particular snapshot, the spectral pixels are encoded using distinct coding patterns. Then, the matrix $\mathbf{\hat{Y}}$ is not convenient for classification as its structure makes difficult to discriminate among compressive measurements. Denoting $P$ as the number of different coding patterns, if the number of measurements shots $S$ equals $P$, the entries of $\mathbf{\hat{Y}}$ can be rearranged to form a new matrix $\mathbf{Y}$, such that each row contains the compressed information acquired with a specific coding pattern $\boldsymbol{\phi}^s$. Note that this rearrangement is only possible when $S=P$ since in this case it can be guaranteed that, at a specific snapshot, one pixel is encoded only once by a different coding pattern and, at the end of the sensing procedure, all pixels are encoded by the whole set of $S$ coding patterns. Indeed, there are few optical filters in practice hence the case $S=P$ will efficiently extract the information from the underlying data cube. Formally, the rearrangement can be expressed as
\begin{equation*}
Y_{s,j} = \hat{Y}_{s',j} \quad \text{if} \ \hat{Y}_{s',j}=(\boldsymbol{\phi}^s)^T\mathbf{f}_j \quad \forall s',
\label{eq:ordenamiento}
\end{equation*}
%, where $\leftrightarrow$ stands for the swap operation
for $s,s'=0, \cdots, S-1$, where $\mathbf{f}_j \in \mathbb{R}^L$ denotes the $j$-th spectral signature for $ j= 0, \cdots, MN-1$. This rearrangement, depicted in Fig. \ref{fig:CSIAcquisition} (\subref{ordenamiento}), preserves the structure of the underlying data improving the classification results. Alternatively, defining the matrix of $S$ coding patterns as $\boldsymbol{\Phi}=\left[ \boldsymbol{\phi}^0, \boldsymbol{\phi}^1, \cdots \boldsymbol{\phi}^{S-1}\right]^T$, the problem of acquiring and rearranging the measurements $\mathbf{\hat{Y}}$ can be succinctly expressed as follows
\begin{equation}
\mathbf{Y}=\boldsymbol{\Phi}\mathbf{F},
\label{eq:measuresForClassify}
\end{equation}
where $\mathbf{F} \in \mathbb{R}^{L \times (MN)}$ is the spectral image in matrix form, and $\boldsymbol{\Phi}  \in \mathbb{R}^{S \times L}$ can be viewed as the projection matrix. In this work the MS ($\mathbf{F}_\mathbf{m}$) and HS ($\mathbf{F}_\mathbf{h}$) images can be modeled from $\mathbf{F}$ as follows:
\begin{align}
\mathbf{F}_{\mathbf{m}} &= \mathbf{D}_{\mathbf{m}}\mathbf{F} \label{eq:Fm}\\
\mathbf{F}_{\mathbf{h}} &= \mathbf{F}\mathbf{D}_{\mathbf{h}},\label{eq:Fh}
\end{align}
where $\mathbf{D}_{\mathbf{m}}\in \mathbb{R}^{L_m\times L}$ and $\mathbf{D}_{\mathbf{h}}\in \mathbb{R}^{MN\times M_hN_h}$ are the spectral and spatial downsampling matrices, with downsampling factor $q$ and $p$, respectively.


%Using this notation, the proposed feature extraction methods, for both hyperspectral and multispectral compressed image, are developed in the next section.


%in this work we obtain the MS and HS images from F as follows: Fm=DmF .... Note that Fm is a ...


%First, the data fusion compressive measurements are acquired from the spectral image using a HS and MS CSI sensor. Then a superpixel algorithm and a extrapolation procedure are performed on the MS and HS measures, respectively, in order to extract the features for classification. Finally the HS and MS features are stacked and the resulting matrix is classified using SVM.

\vspace{-0.1in}
\subsection{Features Extraction}
% After acquiring both the MS and HS measures, the features are extracted as follows. 
%As can be seen in this figure, the scene of interest is acquired by both a multispectral CSI sensor and hyperspectral CSI sensor which follow the 3D-CASSI sensing scheme. More precisely, the multispectral CSI sensor and the hyperspectral CSI sensor obtain the compressed measures $\mathbf{Y}_{\mathbf{m}}\in\mathbb{R}^{S_m\times MN}$ and $\mathbf{Y}_{\mathbf{h}}\in \mathbb{R}^{S_h\times M_hN_h}$, respectively, where $S_m$ and $S_h$ denote the number of measurement shots. These compressed measurements are then used to extract the classification features of the high spatial and spectral resolution image.
\subsubsection{HS feature extraction}
Following the CSI acquisition model described in Section \ref{subsec:compressive}, the compressive measurements acquired by the CSI hyperspectral sensor can be succinctly expressed as
\begin{equation}
\mathbf{Y}_{\mathbf{h}} = \boldsymbol{\Phi}_{\mathbf{h}}\mathbf{F}_{\mathbf{h}}, \label{eq:Yh}
\end{equation}
where $\boldsymbol{\Phi}_{\mathbf{h}}\in \mathbb{R}^{S_h\times L}$ is the coding pattern matrix, $\mathbf{Y_h}\in \mathbb{R}^{S_h\times (M_hN_h)}$ contains the compressive measurements in an ordered form, with $S_h$ denoting the number of measurement shots and $M_h,N_h$ the spatial dimensions of the image acquired by the HS CSI sensor.


%whose rows contain the optical filters randomly distributed in the 3D coded aperture of the hyperspectral CSI sensor. In this work, the 3D coded apertures are built with non-overlapping optical filters with bandpass responses that cover all the spectrum (observe optical filters depicted in Fig.\ref{fig:3DCASSI_sensingApp}). Specifically, each coding pattern modulates a different set of contiguous spectral bands and the bandwidth is selected as the number of spectral bands divided by the number of measurement shots. 

%Figure x, depicts an example of the spectral responses of optical filters for $L=6$ spectral bands.

Although the matrix $\mathbf{Y}_{\mathbf{h}}$ can be used as a feature matrix to perform classification, the goal of this work is to label a high spectral and spatial resolution image taking into account the rich spectral information embedded in $\mathbf{Y}_{\mathbf{h}}$. Then, a spatial extrapolation is performed by replicating the columns of $\mathbf{Y}_{\mathbf{h}}$, where the replicated pixels are located to the corresponding high-spatial resolution positions. The extrapolation process can be formulated as follows
\begin{equation}
\boldsymbol{\omega}_{\mathbf{h}}^j=\mathbf{Y_h}^{\left(\lfloor \frac{j'}{p}\rfloor + \frac{M}{p}\left[ \lfloor\frac{j'}{M}\rfloor + \lfloor\frac{j'}{Mp}\rfloor \right]\right)},
\label{eq:Omegah}
\end{equation}
where $\boldsymbol{\omega}_{\mathbf{h}}^j$ is the $j$-th column of the HS classification features $\boldsymbol{\Omega}_{\mathbf{h}}$; $\mathbf{Y_h}^{(j')}$ is the $j'$-th column of the ordered compressive measurements $\mathbf{Y_h}$; and $\lfloor x \rfloor$ returns the greatest integer less or equal than $x$. 

%Note that, this extrapolation procedure incorporates the correlations between local neighboring pixels in the feature matrix of the HS image, which is a criterion commonly included in the spectral-spatial classification methods for improving the accuracy \cite{ghamisi2017advances}.

\subsubsection{MS feature extraction}

%The direct application of a classification algorithm to the hyperspectral compressive measurements may not achieve a satisfactory performance due to its poor spatial resolution. Therefore a more accurate classification can be obtained by incorporating spatial neighborhood information into the feature matrix used for the classification. In this work, such spatial information is exploited from compressive MS measurements acquired by the random projection

Similarly, the compressive MS measurements are acquired as
\begin{equation}
\mathbf{Y_m}=\boldsymbol{\Phi}_{\mathbf{m}}\mathbf{F_m},
\label{eq:Ym}
\end{equation}  
where $\boldsymbol{\Phi}_{\mathbf{m}} \in \mathbb{R}^{S_m\times L}$ is the coding pattern matrix, whose rows contain the coding patterns of the optical filters used for acquiring the MS compressive measurements. To incorporate the spatial neighborhood information, this work uses a superpixel technique. Superpixel algorithms group pixels into perceptually meaningful atomic regions or segments. This captures image redundancy, provide a convenient primitive from which to compute image features, and greatly reduce the complexity of subsequent image processing tasks. In this work, the segmented image is created by applying the efficient simple linear iterative clustering (SLIC) algorithm \cite{achanta2012slic} on the MS compressive measurements, which are first rearranged back to a $M\times N\times S_m$ image. To reduce the computational cost, before the segmentation, principal component analysis is applied on the MS compressive measurements and the three principal components are used as the base image for the segmentation. Note that the PCA analysis is only necessary if the number of acquired shots $S_m$ is greater than $3$.

Once the segmentation map has been created, it can be utilized with the MS compressive measurements to extract the classification features. Specifically, denote $\mathbf{p}^e$ as the vector containing the indexes of all pixels belonging to the superpixel $e$, the columns of MS feature matrix $\boldsymbol{\Omega}_{\mathbf{m}}$ are created as follows
\begin{equation}
\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e} = \frac{\sum_{l=0}^{n_e-1} \mathbf{Y_m}^{\left(\mathbf{p}^e\right)_l}}{n_e}, \quad \text{for } e=0, \cdots, N_{seg},
\label{eq:ms_features}
\end{equation}
where $N_{seg}$ is the number of segments generated by the superpixel algorithm, $\left(\mathbf{p}^e\right)_l$ denotes the $l$-th entry of the $\mathbf{p}^{e}$ vector and $\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e}$ represents the columns in $\boldsymbol{\Omega}_{\mathbf{m}}$ indexed by the vector $\mathbf{p}^e$. Note that Eq. (\ref{eq:ms_features}) simply replace all pixels in a segment $e$ by the mean pixel. This procedure incorporates the spatial neighboring information of the superpixel in the classification method.

Finally, the feature matrices obtained from both MS and HS images $(\boldsymbol{\Omega}_{\mathbf{m}},\boldsymbol{\Omega}_{\mathbf{h}})$ are stacked in order to build the feature matrix of the high spatial and spectral resolution image whose columns shall be the input samples of a support vector machines (SVM) classifier. In other words, since the $\boldsymbol{\Omega}_{\mathbf{m}}$ and $\boldsymbol{\Omega}_{\mathbf{h}}$ have $MN$ columns, the feature matrix is built as $\boldsymbol{\Omega}= \left[ \boldsymbol{\Omega}_{\mathbf{h}}^T, \boldsymbol{\Omega}_{\mathbf{m}}^T \right]^T$. In this work, the compression ratio is given by $\rho = \frac{S_h+S_m}{L}$. The flowchart of the proposed classification approach from multi-sensor compressive measurements is shown in Fig. \ref{fig:algFlow}.


\begin{figure}[!t]
	\centering
	\includegraphics[width=\linewidth]{algFlow.pdf}
	\caption{Workflow of the proposed CSI Spectral-Spatial classification approach. \vspace{-0.21in}}
	\label{fig:algFlow}
\end{figure}

%hablar de la tecnica, explicarla. decir que al final obtengo
%un mapa, de ese mapa extraigo un conjunto de indices
%busco la firma media usando esos indices y luego la reemplazo
% en una image, algo similar a  7

\vspace{-0.15in}
\section{Simulations and Results}
\label{sec:results}

%The proposed compressed spectral image classification was tested on the \textbf{University of Pavia} spectral data set. This image was acquired by the Reflective Optics System Imaging Spectrometer (ROSIS) sensor during a flight campaign over Pavia, Northern Italy. The spatial dimensions of the image are $610 \times 340$ pixels, with $96$ bands used in the experiments. A typical area for the test data with a size of $256 \times 256$ pixels, containing eight main land-cover classes: , was used. Classification of this selected image is a challenging task because the spectral signatures of the land-cover classes are very similar and some of the spectral curves are mixed, as observed in Fig \ref{fig:AllPres}. (c). A false-color image and the ground truth for Pavia University are also provided in Fig. \ref{fig:AllPres} (a)-(b), respectively. The presented results are the average of ten experiments, each with a different set of training pixels. In all the experiments, $24$ and $3$ snapshots of the HS and MS images were taken, respectively. This corresponds to a compression ratio of $\rho =  28.12\%$.

%Note that, in the presented results, ``Proposed-Noiseless'' is referred to as the classification results obtained when the proposed method is directly applied on the noise-free compressive measurements. Similarly, ``Proposed-Noisy'' corresponds to the results obtained when the proposed method is directly applied on the compressive measurements contaminated with 25 dB of Gaussian noise SNR. ``Reconstructed-Fusion'' refers to the results obtained when a high spectral and spatial resolution image is reconstructed from data fusion compressive measurements before being classified by the proposed method. Finally, ``Original-Image'' is referred when using the proposed classification approach with the complete high spectral and spatial resolution image, i.e., no compression was performed.

The proposed classification method \footnote{The MATLAB code along with some simulations can be found in \url{https://rebrand.ly/icip2019}.} was first evaluated on the Pavia University dataset, acquired by the Reflective Optics System Imaging Spectrometer (ROSIS-03) sensor \cite{SpectralImageDatabase}. This spectral image consists of $610 \times 340$ pixels and $103$ spectral bands. In this work, a subset of this spectral image with dimensions  $256 \times 256 \times 96$ was used in order to evaluate various classification approaches. Figure \ref{fig:VresultsPavia} (a) shows the ground-truth map of the Pavia University dataset, where each class corresponds to a distinct material in an urban cover. For all the experiments, a SVM classifier is trained using a polynomial kernel and  $10\%$ of the samples. In addition, the compression ratio of the acquired CSI measurements is set to $\rho = 25\%$.

%: asphalt, meadows, gravel, trees, bare soil, bitumen, self-block bricks, and shadows

\begin{figure}[!t]
	\centering
	\includegraphics[width=0.72\linewidth]{VResults_PA2.pdf}
	\caption{Classification maps on the Pavia University data set. (a) Ground Truth. (b) Original Image, (c) Reconstruction-Fusion, (d) ACC, (e) Proposed-Noisy, (f) Proposed-Noiseless.\vspace{-0.15in}}
	\label{fig:VresultsPavia}
\end{figure}

\begin{figure}[!t]
	\centering
	\begin{subfigure}[b]{0.5\columnwidth}
		\centering
		\begin{tikzpicture}
		\begin{axis}[
		legend cell align = left,
		legend pos = north east,
		scale = 0.46,
		grid = major,
		ylabel = \scriptsize \textrm{Overall accuracy ($\%$)},
		ylabel style = {yshift=-0.5cm},
		xlabel style = {yshift=0.3cm},	
		ymin = 96,
		ymax = 100,
		xmin = 10,
		xmax = 3900,
		xlabel = \scriptsize \textrm{Number of Segments},
		ticklabel style = {font=\tiny},
		]
		\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.25}] table[x ={x},y = y1]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Proposed method};
		\addplot[color=mycolor2, smooth, line width = 1.00] table[x ={x},y = y2]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Fitted curve};
		\addplot[color=mycolor4, smooth, line width = 1.00] table[x ={x},y = y3]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Only spectral classification};
		\end{axis}
		\end{tikzpicture}
		\caption{}
		\sublabel{subfig:OAvsNseg}
	\end{subfigure}%
	~ 
	\begin{subfigure}[b]{0.5\columnwidth}
		\centering
		\begin{tikzpicture}
		\begin{axis}[
		legend cell align = left,
		legend pos = south east,
		scale = 0.46,
		grid = major,
		ylabel = \scriptsize \textrm{Overall accuracy ($\%$)},
		ylabel style = {yshift=-0.5cm},
		xlabel style = {yshift=0.3cm},	
		ymin = 50,
		ymax = 100,
		xmin = 0,
		xmax = 40,
		xlabel = \scriptsize \textrm{SNR [dB]},
		ticklabel style = {font=\tiny},
		]
		\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 1.00] table[x ={x},y = y1]{FigureData/OAvsSNR.dat};
		\addlegendentry{\tiny Proposed method};
		\addplot[color=mycolor1, smooth, line width = 1.00, mark =*, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsSNR.dat};
		\addlegendentry{\tiny Reconstruction-Fusion};
		\end{axis}
		\end{tikzpicture}
		\caption{}
		\sublabel{subfig:OAvsSNR}
	\end{subfigure}
	\caption{(\subref{subfig:OAvsNseg}) The overall accuracy of the proposed classification method versus the number of the superpixel segments and (\subref{subfig:OAvsSNR}) the overall accuracy against the SNR of the compressive measurements.\vspace{-0.21in}}
	\label{fig:OAvsNsegandSNR}
\end{figure}

%\begin{figure}[t]
%	\centering
%	\includegraphics[width=9cm]{SA_Pres.pdf}
%	\caption{AVIRIS Salinas test image. (a) Salinas false-color image (RGB 70,27,17). (b) Ground truth. (c) Spectral curves of the six land-cover classes.}
%	\label{fig:SAPres}
%\end{figure}
%\begin{figure}[t!]
%	\centering
%	\includegraphics[width=9cm]{PA_Pres.pdf}
%	\caption{ROSIS University of Pavia test image. (a) False-color image (RGB 102,56,31). (b) Ground truth. (c) Spectral curves of the eight land-cover classes. }
%	\label{fig:PAPres}
%\end{figure}

In the first experiment, the number of superpixels is varied in order to analyze the impact of the clustering technique in the overall accuracy (OA). Specifically, Fig. \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsNseg}) shows the OA versus number of segments ($N_{seg}$) classification results on the University of Pavia image. As it can be observed, as the number of desired segments increases the overall accuracy decays exponentially, as depicted with the fitted curve in red. In addition, note that, in general, the proposed method outperforms the spectral classification over the original image when using $N_{seg}\leq 1600$. Indeed, it can be seen from the figure that the incorporation of spatial neighboring information boost the classification accuracy up to $3\%$ in OA, when the chosen number of superpixels is approximately the number of classes within the spectral scene. Therefore, the number of segments is fixed to $N_{seg}=10$ for the subsequent experiments on the Pavia University dataset.

It is important to note that the measurements described by Eq. (\ref{eq:measuresForClassify}), in general, are noise free. However, in real CSI architecture, the compressive measurements are contaminated with noise due to the physical limitation of the sensor and imperfections of the acquisition system. Therefore, Eq. (\ref{eq:measuresForClassify}) should be rewritten as $\mathbf{Y}=\boldsymbol{\Phi}\mathbf{F} + \boldsymbol{\Sigma}$, where $\boldsymbol{\Sigma}\sim N(0,\sigma^2)$ represents the noise of the system. Figure \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsSNR}) shows the overall accuracy results of the proposed classification method versus the SNR of compressive measurements. For comparison purposes, the accuracy results of the Reconstruction-Fusion method is included in Fig. \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsSNR}). As can be seen in this figure, the proposed method outperforms the other method for the test interval.

Figures \ref{fig:VresultsPavia} (b), (c), (e) and (f) show the classification maps obtained when the SVM is applied on the original spectral image (Original Image), a reconstructed and fused spectral image from compressive measurements (Reconstruction-Fusion), the extracted features ($\boldsymbol{\Omega}$) from noisy compressive measurements (Proposed-Noisy), and the extracted features from noiseless compressive measurements (Proposed-Noiseless), respectively. In addition, the proposed method was compared with the Adaptive Compressed Classification (ACC) framework \cite{hahn2014adaptive}, using SVM, in Fig.  \ref{fig:VresultsPavia} (d). For the Reconstruction-Fusion classification approach, we implement the spectral image reconstruction method developed in \cite{arguello2014colored} and the coupled nonnegative matrix factorization (CNMF) fusion technique \cite{YokoyaCoupled2012}. For the Proposed-Noisy approach, the proposed method is applied to noisy compressive measurements with SNR = 25 dB.

%Classification of this selected image is a challenging task because the spectral signatures of the land-cover classes are very similar and some of the spectral curves are mixed, as observed in Fig \ref{fig:VresultsPavia}. (c). A false-color image and the ground truth for Pavia University are also provided in Fig. \ref{fig:VresultsPavia} (a)-(b), respectively. The presented results are the average of ten experiments, each with a different set of training pixels. In all the experiments, $24$ and $3$ snapshots of the HS and MS images were taken, respectively. This corresponds to a compression ratio of $\rho =  25\%$.

% The clustering was a challenging task due to the spectral signatures of the land-cover classes in this area are very similar and some of the spectral curves are mixed, as shown in Fig. \ref{fig:IPPres}(c). The false-color image and the ground truth are provided in Fig. \ref{fig:IPPres}(a) and (b), respectively.\\[0.1in]

%This image is also difficult for clustering because of the high similarity between the spectral signatures of some land-cover classes, which can be seen in Fig. \ref{fig:SAPres}(c). The false-color image and the ground truth are provided in Fig. \ref{fig:SAPres}(a) and (b), respectively. \\[0.1in]

% This data set contains more complex land-cover classes, and the spectral signatures of some of the classes are very similar, which results in the clustering being a more challenging task. The spectral curves of the eight land-cover classes are shown in Fig. \ref{fig:PAPres}(c). The false-color image and the ground truth are also provided in Fig. \ref{fig:PAPres}(a) and (b), respectively.\\[-0.05in]


%The proposed compressed spectral image clustering approach was tested on two real datasets acquired by the Airborne Visible/Infrared Imaging Spectrometer (AVIRIS). Specifically, a portion of the Indian Pines image, with spatial resolution of $70\times 70$ and $200$ spectral bands, and a portion of the Salinas Valley image, with spatial resolution of $60\times 120$ and $204$ spectral bands were used in the experiments. The selected area of Indian Pines contains four main kinds of ground materials: corn-no-till, grass, soybeans-no-till, and soybeans-minimum-till. This typical test area is very challenging for clustering due to the ground materials have very similar spectra. On the other hand, the Salinas Valley subimage contains six land-cover classes: brocoli-green-weeds, corn-senesced-green-weeds, lettuce-romaine-4wk, lettuce-romaine-5wk, lettuce-romaine-6wk and lettuce-romaine-7wk.

%\footnote{The quantitative evaluations correspond to the accuracy for each class, overall accuracy (OA), average accuracy (AA), Kappa coefficients and the time of classification. See \url{https://goo.gl/vK2KKj} for details.}

In order to further validate the performance of the proposed approach, quantitative results are presented for the selected spectral scene in Table \ref{tab:combinations}. All the presented results are the average of $10$ experiments, each with different realizations of $\boldsymbol{\Phi}_{\mathbf{h}}$ and $\boldsymbol{\Phi}_{\mathbf{m}}$ coding patterns, and the best value of each row is shown in bold font. Furthermore, Table \ref{tab:combinations} shows the numerical results for each of the eight land-cover classes (producer's accuracy), overall accuracy (OA), average accuracy (AA), Kappa ($\kappa$) coefficients \cite{accMetrics} and time. All the results, except the Kappa coefficients, are given in percentage. 

\begin{table}
	\setlength{\tabcolsep}{0.2em} 
	\def\arraystretch{1.1}%
	\caption{Performance of the various classification approaches on the Pavia University dataset.\vspace{-15pt}}
	\label{tab:combinations}
	\begin{center}
		\ssmall
		\begin{tabular}{c | c c c c c}
			\hline
			\hline
			\multirow{2}{*}{Class} & \ssmall{Original} &  \ssmall{Recontruction-} & \ssmall{ACC} & \ssmall{Proposed-} & \ssmall{Proposed-}\\
			&  \ssmall{image} & \ssmall{Fusion} & \ssmall{Framework} & \ssmall{Noisy} & \ssmall{Noiseless}\\
			\hline  
			\hline
			Asphalt 		&  86.80 $\pm$ 2.03  &  84.62 $\pm$ 1.05 &   91.20 $\pm$ 1.21  &  95.05 $\pm$ 4.62  &  \textbf{98.63 $\pm$ 0.70}\\
			Meadows 		&  99.07 $\pm$ 0.02  &  99.23 $\pm$ 0.22 &  95.78 $\pm$ 0.14 & 98.95 $\pm$ 0.17 &  \textbf{99.77 $\pm$ 0.02}\\
			Gravel   		&  82.39 $\pm$ 1.35  &  80.03 $\pm$ 6.67 &  79.62 $\pm$ 0.31 & 78.04 $\pm$ 4.58 &  \textbf{99.67 $\pm$ 0.16}\\
			Trees   		&  88.61 $\pm$ 2.41  &  91.55 $\pm$ 2.62 &  92.06 $\pm$ 0.27 & 86.86 $\pm$ 3.13 &  \textbf{93.35 $\pm$ 0.07}\\
			Bare-Soil   	&  61.96 $\pm$ 5.89  &  72.45 $\pm$ 5.89 &  85.57 $\pm$ 0.98 & 88.98 $\pm$ 6.46 &  \textbf{98.25 $\pm$ 2.47}\\
			Bitumen			&  \textbf{93.29 $\pm$ 0.97}  &  90.82 $\pm$ 2.51 & 77.11 $\pm$ 0.16 & 93.70 $\pm$ 3.10 &  92.19 $\pm$ 0.97\\
			Self-Block Bricks  &  90.40 $\pm$ 0.20 & 85.14 $\pm$ 3.19 & 83.16 $\pm$ 0.24 & 83.05 $\pm$ 1.19 &  \textbf{97.58 $\pm$ 1.03}\\
			Shadows			& \textbf{100.00 $\pm$ 0.00}  &  99.89 $\pm$ 0.15 & 98.47 $\pm$ 0.66  & 98.42 $\pm$  0.74 &  98.74 $\pm$ 0.00\\
			\hline
			\hline
			OA ($\%$) &  94.51 $\pm$ 0.35  &  94.05 $\pm$ 0.72  & 90.88 $\pm$ 0.43 &  94.55 $\pm$ 0.60  &  \textbf{98.90 $\pm$ 0.03}\\
			AA ($\%$) &  87.81 $\pm$ 1.26  &  87.97 $\pm$ 0.01  & 87.87 $\pm$ 1.05 & 90.38 $\pm$ 0.86  &  \textbf{97.27 $\pm$ 0.40}\\
			$\kappa$  &  0.91 $\pm$ 0.0062 &  0.90 $\pm$ 0.0119 & 0.88 $\pm$ 0.0147 & 0.91 $\pm$ 0.0105  & \textbf{0.98 $\pm$ 0.0005}\\
			\hline
			\hline
			Time (s)  &  1.17 $\pm$ 0.007  &  87.43 $\pm$ 1.77 & 24.97 $\pm$ 2.35  & \textbf{0.66 $\pm$ 0.050}  & 0.74 $\pm$ 0.037\\
			\hline
			\hline
		\end{tabular}
	\end{center}
	\vspace{-0.40in}
\end{table}

From the Table \ref{tab:combinations}, it can be clearly observed that the proposed classification approach provide comparable results to applying the method directly on the original and reconstructed spectral data cube. In addition, performing the classification directly on the CSI measurements is significantly faster than performing all the processing in the complete and the reconstructed spectral data. As observed, the results show that when no noise is assumed, the achieved classification accuracy outperforms the results obtained with the full spectral data cube. As reported in some works, random projections are not sensitive to impulse noise thus can be used as a noise reduction method \cite{bingham2001random}. In other words, the achieved results when using noise-free compressive measurements are due to the random projection, described in Eq. (\ref{eq:measuresForClassify}), removes noise from the acquired measurements. Finally, as clearly observed from Table \ref{tab:combinations}, ACC is outperformed by the proposed method in both, noisy and noiseless case.

For the sake of completeness, we evaluate the proposed method on the Salinas dataset, captured by the Airborne Visible/Infrared Imaging Spectrometer (AVIRIS) \cite{SpectralImageDatabase}. This image has dimensions of $512 \times 217$ pixels and $204$ spectral band. In this work, a subset of $217 \times 217 \times 192$ is used to evaluate the proposed classification method. Fig. \ref{fig:Salinas}(a) shows an RGB composite of the Salinas Valley spectral image and Fig. \ref{fig:Salinas}(b) shows the ground truth map of eight land-cover classes corresponding to different kinds of crops. Moreover, Fig. \ref{fig:Salinas}(c)-(f) show the classification maps obtained from the original image, the Reconstruction-Fusion approach, the proposed method using noisy compressive measurements (Proposed-Noisy), and the proposed method using noiseless compressive measurements (Proposed-Noiseless), respectively. As can be observed in these figures, the classification map generated by the proposed method over noiseless compressive measurements exhibits a superior performance compared with those yielded by the other approaches.

Figure \ref{fig:TimeandOAvsCompression} (a) shows the overall accuracy versus the compression ratio for the various classification approaches. Each point of these curves is obtaining by averaging 20 realizations of the respective experiment, and for each trial, a new set of colored coded apertures is built and a random set of training samples are selected. Furthermore, the rate of training samples is set to $10\%$ and the number of super-pixels is fixed to $N_{seg} = 10$. As can be seen in this figure, the proposed classification approach using noiseless measurements has a remarkable performance in comparison with the other methods. Finally, Fig. \ref{fig:TimeandOAvsCompression} (b) shows the overall accuracy as the rate of training samples increases. As can be observed in this figure, the proposed method from noiseless measurements outperforms the other classification approaches for the entire evaluation interval, achieving an accuracy gain of at least 3$\%$.

%Finally,  \ref{fig:TimeandOAvsCompression} (b) shows the computational time against the compression ratio for the various classification methods. As can be seen in this figure, the proposed method, over both noiseless and noisy compressive measurements, exhibits the lower computation time values compared to the other classification approaches. This is mainly attributed to the fast segmentation stage using the superpixel algorithm and the subsequent classification stage over a reduced set of extracted features.

\begin{figure}[!t]
	\begin{center}
	\begin{tabular}{c c c}
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/hri_salinas.eps}
	\end{minipage}
	&
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/gt_salinas.eps}
	\end{minipage}
	&
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/image_salinas.eps}
	\end{minipage}
	\\
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/fused_salinas.eps}
	\end{minipage}
	&
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/noisy_salinas.eps}
	\end{minipage}
	&
%	\hspace{-10pt}
	\begin{minipage}{0.23\linewidth}
	\includegraphics[width=1.00\linewidth]{EpsData/clean_salinas.eps}
	\end{minipage}
	\end{tabular}
	\end{center}
	\vspace{-0.16in}
	\caption{Salinas Valley dataset: (a) RGB composite of the spectral image, (b) Ground Truth. (c) Original Image, (d) Reconstruction-Fusion, (e) Proposed-Noisy, (f) Proposed-Noiseless.\vspace{-0.1in}}
	\label{fig:Salinas}
\end{figure}


\begin{figure}[!t]
	\centering
	\begin{tabular}{c c}
	\hspace{-10pt}
%	\begin{subfigure}[b]{1.0\columnwidth}
		\begin{minipage}{0.49\linewidth}
			\begin{center}
			\resizebox{0.95\textwidth}{!}{
			\begin{tikzpicture}
			\begin{axis}[
			legend cell align = left,
			legend pos = south east,
			scale = 0.80,
			grid = major,
			ylabel = \large \textrm{Overall accuracy ($\%$)},
			ylabel style = {yshift=-0.5cm},
			xlabel style = {yshift=0.3cm},	
			ymin = 80,
			ymax = 100,
			xmin = 12.5,
			xmax = 100,
			xlabel = \large \textrm{Compression ratio ($\%$)},
			ticklabel style = {font=\footnotesize},
			]
			\addplot[color=mycolor4, smooth, line width = 2.00] table[x ={x},y = y3]{FigureData/OAvsCompression.dat};
			\addlegendentry{\footnotesize Original image};
			\addplot[color=mycolor1, smooth, line width = 2.50, mark =*, mark options ={scale=0.50}] table[x ={x},y = y4]{FigureData/OAvsCompression.dat};
			\addlegendentry{\footnotesize Reconstruction-Fusion};
			\addplot[color=mycolor2, smooth, line width = 2.00, mark =triangle, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsCompression.dat};
			\addlegendentry{\footnotesize Proposed-Noisy};
			\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 2.00] table[x ={x},y = y1]{FigureData/OAvsCompression.dat};
			\addlegendentry{\footnotesize Proposed-Noiseless};
			\node[] at (axis cs: 26,82.5) {\Large \textbf{(a)}};
			\end{axis}
			\end{tikzpicture}
			}
			\end{center}
		\end{minipage}
%		\caption{}
%		\sublabel{subfig:OAvsCompression}
%	\end{subfigure}%
	&
	\hspace{-10pt}
%	\begin{subfigure}[b]{0.5\columnwidth}
	\begin{minipage}{0.49\linewidth}
		\begin{center}
		\resizebox{0.95\textwidth}{!}{
		\begin{tikzpicture}
		\begin{axis}[
		legend cell align = left,
		legend pos = south east,
		scale = 0.80,
		grid = major,
		ylabel = \large \textrm{Overall accuracy ($\%$)},
		ylabel style = {yshift=-0.5cm},
		xlabel style = {yshift=0.3cm},	
		ymin = 80,
		ymax = 100,
		xmin = 1,
		xmax = 20,
		xlabel = \large \textrm{Rate of training samples ($\%$)},
		ticklabel style = {font=\footnotesize},
		]
		\addplot[color=mycolor4, smooth, line width = 2.00] table[x ={x},y = y3]{FigureData/OAvsTraining.dat};
		\addlegendentry{\footnotesize Original Image};
		\addplot[color=mycolor1, smooth, line width = 2.50, mark =*, mark options ={scale=0.50}] table[x ={x},y = y4]{FigureData/OAvsTraining.dat};
		\addlegendentry{\footnotesize Reconstruction-Fusion};
		\addplot[color=mycolor2, smooth, line width = 2.00, mark =triangle, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsTraining.dat};
		\addlegendentry{\footnotesize Proposed-Noisy};
		\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 2.00] table[x ={x},y = y1]{FigureData/OAvsTraining.dat};
		\addlegendentry{\footnotesize Proposed-Noiseless};
		\node[] at (axis cs: 2.5,82.5) {\Large \textbf{(c)}};
		\end{axis}
		\end{tikzpicture}
		}
		\end{center}
	\end{minipage}
%		\caption{}
%		\sublabel{subfig:TimevsCompression}
%	\end{subfigure}
	\end{tabular}
	\caption{(a) The overall accuracy on the Salinas Valley dataset versus the compression ratio and (b) the overall accuracy versus the rate of training samples.\vspace{-0.21in}}
	\label{fig:TimeandOAvsCompression}
\end{figure}

\vspace{-0.15in}
\section{Conclusions}
\label{sec:conclusions}

This work presented a spectral-spatial image classification approach, which perform all the processing tasks directly on multi-sensor compressive measurements. The proposed method performs a superpixel algorithm with the multispectral CSI measures in order to incorporate spatial neighboring information in the classification features. In addition, spectral and some spatial features are extracted from the hyperspectral CSI measures, using an extrapolation procedure. The proposed approach was validated trough some preliminary experiments. In general, the results show that performing the classification directly on the compressive measurements provides similar accuracy results, in a lesser time, compared with those provided by performing the classification on the original 3D spectral image and the reconstructed image pixels. Particularly, a maximum difference of approximately $4\%$ in terms of OA was observed when comparing the classification results obtained using the original image with those achieved using the CSI multi-sensor measurements acquired with the 3D-CASSI sensing scheme.

%\vfill\pagebreak
\clearpage

\bibliographystyle{IEEEbib}
\bibliography{strings,refs}

\end{document}
